/*
Copyright (C) 2003 copyrighted by SUNY at Stony Brook.

DISCROPT is created by Vinhthuy Phan, Pavel Sumazin, and Steven Skiena.
The authors grant permision to use and distribute WITHOUT ANY WARRANTY
this software for non-commercial purposes, provided that this copyright 
notice is clearly shown.  Other uses are prohibited without prior written
consent.  These terms are applied to any modification of this software 
as well.  See http://www.cs.sunysb.edu/~discropt.

*/
#ifndef SHELL_INPUT_H
#define SHELL_INPUT_H

#include "basic_types.h"

/**
parses command-line inputs.
@author Vinhthuy Phan
@version 1.0
*/
class ShellInput {
public:
  ///
  ShellInput() { }
  ///
  static void initialize(int argc, char *argv[]);
  ///
  static void print_options(char *argv[]);

  ///
  static double running_time;
  ///
  static double report_interval;
  ///
  static double check_progress_interval;
  ///
  static char *input_file;
  ///
  static ostream *output;
  ///
  static HeuristicType heuristic;
  ///
  static NeighborOpType neighborhood_op;

};

#endif
